/************************************************************************
*
* Device     : RX/RX600/RX63N,RX631
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 0.10  (2011-02-21)  [Hardware Manual Revision : 0.01]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2011 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
************************************************************************/

#include "iodefine.h"
#include "R_PG_DMAC_RX63N.h"
extern void HardwareSetup(void);

/*******************************************************************************
* Function Name: HardwareSetup
* Description  : Set up Hardware
* Arguments    : none
* Return Value : none
*******************************************************************************/
void HardwareSetup(void)
{
    R_PG_IO_PORT_SetPortNotAvailable;
    R_PG_Clock_Set();                   /* Setting Clock */
    R_PG_IO_PORT_Set_PD();              /* Setting PD6 */
    R_PG_IO_PORT_Write_PD6(1);          /* Turn off LED1 */
    R_PG_DMAC_Set_C0();                 /* DMAC_C0 Setup */
    R_PG_DMAC_Set_C1();                 /* DMAC_C1 Setup */   
    R_PG_DMAC_Set_C2();                 /* DMAC_C2 Setup */
    R_PG_DMAC_Set_C3();                 /* DMAC_C3 Setup */
    R_PG_DMAC_Activate_C0();            /* Transfer start trigger input wait state */
    R_PG_DMAC_Activate_C1();            /* Transfer start trigger input wait state */
    R_PG_DMAC_Activate_C2();            /* Transfer start trigger input wait state */
    R_PG_DMAC_Activate_C3();            /* Transfer start trigger input wait state */
    R_PG_SCI_Set_C0();                  /* Setting SCI0 */
    R_PG_SCI_Set_C2();                  /* Setting SCI2 */
}

